<?php


class AdminController
{
    public function actionIndex()
    {
        if (Admin::isGuest() == false) {

            if (!empty($_POST['title'])) {
                Tours::updateDate('title', $_POST['title']);
            }
            if (!empty($_POST['description'])) {
                Tours::updateDate('description', $_POST['description']);
            }
            if (!empty($_POST['head_title'])) {
                Tours::updateDate('head_title', $_POST['head_title']);
            }
            if (!empty($_POST['head_text'])) {
                Tours::updateDate('head_text', $_POST['head_text']);
            }

            $tours = new Tours();
            $data = $tours->getTours();
            require_once(ROOT . '/views/admin/page.php');
            return true;
        } else {
            header("Location: /tours/");
        }
    }

    public function actionLogin()
    {
        $email = '';
        $password = '';

        if (isset($_POST['submit'])) {
            $user = new Admin();
            $user->login = $_POST['login'];
            $user->password = $_POST['password'];
            $errors = false;
            if (isset($errors)) {
                $userID = $user->userLogin();

                if ($userID == false) {
                    $errors[] = 'Просьба повторить попытку';
                } else {
                    $user->auth();
                    header("Location: /admin/index");
                }
            }
        }
        require_once(ROOT . '/views/admin/login.php');
        return true;
    }

    public function actionLogout()
    {
        unset($_SESSION['user']);
        header("Location: /tours/");
        return true;
    }

}